Package com.google.protobuf

# Class TextFormat.Parser.Builder

java.lang.Object
com.google.protobuf.TextFormat.Parser.Builder

Enclosing class:
  `TextFormat.Parser`

public static class TextFormat.Parser.Builder extends Object
Builder that can be used to obtain new instances of `TextFormat.Parser`.

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`TextFormat.Parser`
`build()`
`TextFormat.Parser.Builder`
`setAllowUnknownExtensions(boolean allowUnknownExtensions)`
Set whether this parser will allow unknown extensions.
`TextFormat.Parser.Builder`
`setAllowUnknownFields(boolean allowUnknownFields)`
Set whether this parser will allow unknown fields.
`TextFormat.Parser.Builder`
`setParseInfoTreeBuilder(TextFormatParseInfoTree.Builder parseInfoTreeBuilder)`
`TextFormat.Parser.Builder`
`setRecursionLimit(int recursionLimit)`
Set the maximum recursion limit that the parser will allow.
`TextFormat.Parser.Builder`
`setSingularOverwritePolicy(TextFormat.Parser.SingularOverwritePolicy p)`
Sets parser behavior when a non-repeated field appears more than once.
`TextFormat.Parser.Builder`
`setTypeRegistry(TypeRegistry typeRegistry)`
Sets the TypeRegistry for resolving Any.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### setTypeRegistry

public TextFormat.Parser.Builder setTypeRegistry(TypeRegistry typeRegistry)
Sets the TypeRegistry for resolving Any. If this is not set, TextFormat will not be able to parse Any unless Any is write as bytes.

Throws:
  `IllegalArgumentException` - if a registry is already set.

### setAllowUnknownFields

public TextFormat.Parser.Builder setAllowUnknownFields(boolean allowUnknownFields)
Set whether this parser will allow unknown fields. By default, an exception is thrown if an unknown field is encountered. If this is set, the parser will only log a warning. Allow unknown fields will also allow unknown extensions.

Use of this parameter is discouraged which may hide some errors (e.g. spelling error on field name).

### setAllowUnknownExtensions

public TextFormat.Parser.Builder setAllowUnknownExtensions(boolean allowUnknownExtensions)
Set whether this parser will allow unknown extensions. By default, an exception is thrown if unknown extension is encountered. If this is set true, the parser will only log a warning. Allow unknown extensions does not mean allow normal unknown fields.

### setSingularOverwritePolicy

public TextFormat.Parser.Builder setSingularOverwritePolicy(TextFormat.Parser.SingularOverwritePolicy p)
Sets parser behavior when a non-repeated field appears more than once.

### setParseInfoTreeBuilder

public TextFormat.Parser.Builder setParseInfoTreeBuilder(TextFormatParseInfoTree.Builder parseInfoTreeBuilder)

### setRecursionLimit

public TextFormat.Parser.Builder setRecursionLimit(int recursionLimit)
Set the maximum recursion limit that the parser will allow. If the depth of the message exceeds this limit then the parser will stop and throw an exception.

### build

public TextFormat.Parser build()